Name:		xcockroach
Version:        0.4
Release:        %mkrel 4
Summary:	Displays cockroaches on your desktop
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}.libdir.patch.bz2
License:	GPL
Group:		Toys
Url:		http://xcockroach.free.fr/
BuildRequires:  X11-devel

%description
xcockroach displays cockroaches on your root  window,
they will look for windows and hide themselves under them.
It is a GPL clone of xroach, with many enhancements.

%prep
%setup -q
%patch0 -p1

%build
%configure
%make CFLAGS+=-fPIC

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING TODO
%{_datadir}/%{name}/
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6*



%changelog
* Thu Dec 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4-4mdv2008.1
+ Revision: 135640
- adajust file list
- fix & simplify file list
- kill re-definition of %%buildroot on Pixel's request
- do not hardcode man pages extension
- import xcockroach


* Wed Jan 18 2006 Olivier Blin <oblin@mandriva.com> 0.4-4mdk
- build with -fPIC

* Wed Sep 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-3mdk
- Rebuild

* Thu Jun 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-2mdk
- Rebuild

* Tue Apr 13 2004 Olivier Blin <blino@mandrake.org> 0.4-1mdk
- Patch0: put plugins in libdir
- new version

* Fri Feb  6 2004 Olivier Blin <blino@mandrake.org> 0.2.2-1mdk
- initial release
